Bug 118149 - FILESAVE XLSX Chart legend switches from 1 column to 2 columns
Summary: FILESAVE XLSX Chart legend switches from 1 column to 2 columns
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.0.7
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: Chart-Legends
  Show dependency treegraph
 
Reported: 2018-06-13 17:27 UTC by Buovjaga
Modified: 2018-10-15 10:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (25.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-06-13 17:27 UTC, Buovjaga
Details
Example file exported to .xlsx by LibreOffice 6.0.4.2 (18.56 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-06-19 15:06 UTC, Bartosz
Details
Example file exported to .xlsx by LibreOffice Version: 6.2.0.0.alpha0+ (18.63 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-06-20 07:01 UTC, Bartosz
Details
Export from current Calc master (157.72 KB, image/png)
2018-10-11 14:41 UTC, Gabor Kelemen
Details
The example file saved by current Calc master (33.88 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-10-11 14:42 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-06-13 17:27:20 UTC
Created attachment 142712 [details]
Example file

1. Save attached file as XLSX
2. Reload and observe the legend

Split from bug 72202.
The dashed line bug is bug 94336.

Bisected with Win 6.1 repo, regression from https://cgit.freedesktop.org/libreoffice/core/commit/?id=84392651d2731cce91c3b2e144bed4ac07e4ddf1

commit	84392651d2731cce91c3b2e144bed4ac07e4ddf1 (patch)
tree	9c5fc708db070bbafc208268bb65afde5d3ddace
parent	847d20b3466a6358396c923e9b4754cbdd53863a (diff)
tdf#114173 Preserve size of chart legend during xlsx export

Adding to Cc: Bartosz Kosiorek
Comment 1 Bartosz 2018-06-19 15:06:21 UTC
Created attachment 142918 [details]
Example file exported to .xlsx by LibreOffice 6.0.4.2
Comment 2 Bartosz 2018-06-20 07:01:05 UTC
Created attachment 142953 [details]
Example file exported to .xlsx by LibreOffice Version: 6.2.0.0.alpha0+
Comment 3 Gabor Kelemen 2018-10-11 14:41:48 UTC
Created attachment 145612 [details]
Export from current Calc master

Not sure when was this one repaired, but current Calc master from bibisect-win32-6.2 no longer has this problem:

Version: 6.2.0.0.alpha0+
Build ID: 425af6845ebe066c950b0b63f50563e067485f3e
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 4 Gabor Kelemen 2018-10-11 14:42:16 UTC
Created attachment 145613 [details]
The example file saved by current Calc master
Comment 5 Buovjaga 2018-10-11 14:45:49 UTC
Was it https://gerrit.libreoffice.org/#/c/57762/ by Bartosz? If yes, he can set to fixed.